<?php
	/*
	 *
	 * 2003 - 2023 @ Yal Publicidad - yPanel
	 * www.yalpublicidad.com
	 * online@yalpublicidad.com
	 *
	 * formulario de modulo
	 */
	
	/* Autorizo acceso */
		defined('YPANEL_INI') or die( 'No dispones de acceso' );
		
	//** tabla
		$tabla	= ( isset( yPanel::paneles( $_GET['panel'] )->tabla ) ) ? MYSQL_PREFIJO_SISX . yPanel::paneles( $_GET['panel'] )->tabla : 'nulo';
		$orden	= _mysql_contar_reg( $tabla, "id", "tipo='redes_sociales'" );
		$orden	= ( com_obtReg( "orden", 0 ) > 0 ) ? com_obtReg( "orden", 0 ) : ( $orden + 1 );
	
	//** Dependencia TD
		function dependencia_tr( $padreId = 0, $padre = 0, $tab = '' ){
			$tabla		= ( isset( yPanel::paneles( $_GET['panel'] )->tabla ) ) ? MYSQL_PREFIJO_SISX . yPanel::paneles( $_GET['panel'] )->tabla : 'nulo';
			$html = '';
			$sql = _mysql_query("SELECT * FROM " . $tabla . " WHERE padre='$padre' AND tipo='redes_sociales' ORDER BY posicion, orden ASC");
			while( $r = _mysql_fetch_array($sql) ){
				$html .= '<tr id="t-' . $r['id'] . '">';
				$html .= ( $padre == 0 ) ? '<td>' . com_btnToggle( 'pu'.$r['id'], $r['id'], $r['publicado'], false, 'onClick="publicado(this)"' ) . '</td>' : '<td>&nbsp;</td>';
				$html .= '<td>' . $tab . '<a href="' . post_link( $_GET['panel'], $r['id'], 'acc=editar' ) . '" style="font-size:13px"><strong>' . utf8_encode( $r['nombre'] ) . '</strong></a><div class="fs-12">Link: ' . $r['link'] . '</div></td>';
				$html .= '<td align="center">' . $r['atributos'] . '</td>';
				$html .= '<td align="center">' . $r['orden'] . '</td>';
				$html .= '<td>
								<a href="' . post_link( $_GET['panel'], $r['id'], 'acc=editar' ) . '" class="ico16" title="' . etiqueta( 'e_editar', 'Editar' ) . '"><i class="fa fa-edit fs-18"></i></a>
								<a href="javascript:;" onClick="rElim(\'' . $r['id'] . '\');" class="ico16" title="' . etiqueta( 'e_eliminar', 'Eliminar usuario' ) . '"><i class="fa fa-trash fs-18"></i></a></td>';
				$html .= '</tr>';
				$html .= dependencia_tr( $padreId, $r['id'], $tab . '&nbsp; <i class="fa fa-ellipsis-v"></i> &hellip; ' );
			}
			return $html;
		}
		
	//** Dependencia
		function dependencia_option( $padreId = 0, $padre = 0, $tab = '' ){
			$tabla		= ( isset( yPanel::paneles( $_GET['panel'] )->tabla ) ) ? MYSQL_PREFIJO_SISX . yPanel::paneles( $_GET['panel'] )->tabla : 'nulo';
			$html = '';
			$Sql = _mysql_query("SELECT * FROM " . $tabla . " WHERE padre='$padre' AND tipo='contenido' ORDER BY nombre ASC");
			while( $r = _mysql_fetch_array($Sql) ){
				$html .= '<option value="' . $r['id'] . '"';
				$html .= ( $r['id'] == $padreId ) ? ' selected' : '';
				$html .= '>' . $tab . utf8_encode( $r['nombre'] ) . '</option>';
				$html .= dependencia_option( $padreId, $r['id'], $tab . " &nbsp; &brvbar; &hellip; " );
			}
			return $html;
		}
		
		function dependencia(){		
			$html = '<select class="fs-small" id="jerarquia" name="jerarquia">
						<option value="0">Ninguna</option>';
			$html .= dependencia_option( com_obtReg( "padre" ) );
			$html .= '</select>';
			
			return $html;
		}
		
	//** Target
		function target(){
			$target	= com_obtReg( "target" );			
			$target = ( $target > 0 ) ? ' selected' : '';
			
			$html = '<select name="target">
							<option value="0">' . etiqueta( 'e_ninguno', 'Ninguna' ) . '</option>
							<option value="1"' . $target . '>' . etiqueta( 'e_nueva_ventana', 'Nueva ventana' ) . '</option>
						</select>';
			
			return $html;
		}
		
		
			 
?>	
	
	<div class="row">
		<!-- Panel Principal -->
		<div class="col-sm-8">
			<table class="table fs-small">
				<thead>
					<tr>
						<th colspan="2" width="50%"><?php echo etiqueta( 'th_nombre', 'Nombre' ) ?></th>
						<th align="center"><?php echo etiqueta( 'th_atributos', 'Atributos' ) ?></th>
						<th align="center">Orden</th>
						<th>&nbsp;</th>
					</tr>
				</thead>
				<tbody>
					<?php
						echo dependencia_tr( com_obtReg( "padre" ) );
					?>
				</tbody>
			</table>
		</div>
		
		<!-- Opciones -->
		<div class="col-sm-4">
			<form method="post" action="<?php echo com_base() ?>prcss.php">
				<input type="hidden" name="acc" value="g-mnu">
				<input type="hidden" name="panel" value="<?php echo $_GET['panel'] ?>">
				
				<fieldset class="fs-small">
					<legend><?php echo etiqueta( 'legend_menu_1', 'Agregar nuevo menú' ) ?></legend>
					<div class="m-b-10">
						<label for="nombre"><?php echo etiqueta( 'e_nombre', 'Nombre' ) ?></label>
						<input type="text" class="w-full" id="nombre" name="nombre" value="<?php echo com_obtReg( "nombre" ) ?>">
					</div>
					<div class="m-b-10">
						<input type="text" class="w-full" id="link" name="link" placeholder="Link" value="<?php echo com_obtReg( "link" ) ?>" onChange="desabilitar_input( this, this.form.slug )" >
					</div>
					<div class="m-b-10">
						<label for="link"><?php echo etiqueta( 'e_ventana', 'Ventana' ) ?></label><br>
						<?php echo target() ?>
					</div>
					<div class="m-b-10">
						<label for="publicado"><?php echo etiqueta( 'e_publicado', 'Publicado' ) ?></label>
						<?php echo com_btnToggle( 'publicado', 1, com_obtReg( "publicado", 1 ) ); ?>
					</div>
					
					<div class="m-b-10">
						<label for="orden"><?php echo etiqueta( 'e_orden', 'Orden' ) ?></label>
						<input type="number" id="orden" name="orden" placeholder="Orden" value="<?php echo $orden ?>" title="Orden en que se mostrará el menú" >
					</div>
					<div class="m-b-10">
						<label for="atributos"><?php echo etiqueta( 'e_atributos', 'Atributos' ) ?></label><br>
						<textarea class="w-full" id="atributos" name="atributos"><?php echo com_obtReg( "atributos" ) ?></textarea>
					</div>
					<div class="m-t-30"><?php echo com_boton( 'nuevo', etiqueta( 'b_agregar_nuevo_menu', 'Agregar nuevo menú' ) ); ?></div>
				</fieldset>
			</form>
		</div>		
	</div>
	
	<script>
			
			function desabilitar_input( elemento, resultado ){
					if( elemento.value.length > 0 ){
						resultado.disabled = true;
						resultado.classList.add('input-disabled');
						resultado.style.cursor = 'not-allowed';
					}else{
						resultado.disabled = false;
						resultado.classList.remove('input-disabled');
						resultado.style.cursor = '';
					}
				}
				
			//** validar formulario */
				$_("#nuevo").onclick = function(){
					f = this.form;
					if( f.nombre.value.length < 3 ){
						f.nombre.focus();
						MsjBox.mostrar( '<?php echo etiqueta( 'msj_err_nombre', 'Por favor ingrese un nombre válido.' ) ?>' );
						return false
					}
					eform( this.form ); setTimeout("location.reload();",800);
					
					return false;
				}
			
			publicado = function(e){
				$h = ( e.checked ) ? 1 : 0;
				MsjBox.mostrar('<?php echo etiqueta( 'msj_espere', 'espere...' ) ?>');
				$y.ajax({
						url: '<?php echo com_base() ?>prcss.php',
						metodo: 'POST',
						data: 'acc=r-habilitar&panel=<?php echo $_GET['panel'] ?>&post=' + e.value + '&h=' + $h,
						contenidoTipo: 'application/x-www-form-urlencoded',
						suceso: function(respuesta){ 
									if( respuesta == 1 ){
										 MsjBox.mostrar('<?php echo etiqueta( "msj_secambio_correctamente", 'Se cambió el estado correctamente' ) ?>');
									}
						}
				});
			}
			
			rElim = function(id){
				var opcion = confirm("<?php echo etiqueta( 'msj_seguro_eliminar', '¿Está seguro que desea eliminar el registro?' ) ?>");
    			if (opcion == true) {
					MsjBox.mostrar('<?php echo etiqueta( 'msj_eliminando', 'Eliminando' ) ?>...');
					$y.ajax({
							url: '<?php echo com_base() ?>prcss.php',
							metodo: 'POST',
							data: 'acc=r-eliminar&panel=<?php echo $_GET['panel'] ?>&post=' + id,
							contenidoTipo: 'application/x-www-form-urlencoded',
							suceso: function(respuesta){ 
										if( respuesta == 1 ){
											 MsjBox.mostrar('<?php echo etiqueta( 'msj_reg_eliminado', 'El registro se eliminó correctamente.' ) ?>');
											 setTimeout("location.reload();",800);
										}
							}
					});
				}
			}
	</script>